## org.eclipse.ocl.expressions.operations
Class IterateExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.LoopExpOperations
          org.eclipse.ocl.expressions.operations.IterateExpOperations

    public class IterateExpOperations

extends LoopExpOperations

A static utility class that provides operations related to 'Iterate Exp' model objects.

The following operations are supported:

- `Check Iterate Type`
- `Check Body Type`
- `Check Result Init`

Constructor Summary
`protected` `IterateExpOperations()`

Method Summary

`static

`<C,PM> boolean`

`

`checkBodyType(IterateExp<C,PM> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
body.type.conformsTo(result.type)

`static

`<C,PM> boolean`

`

`checkIterateType(IterateExp<C,PM> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
type = result.type

`static

`<C,PM> boolean`

`

`checkResultInit(IterateExp<C,PM> iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.result.initExpression->size() = 1

Methods inherited from class org.eclipse.ocl.expressions.operations.LoopExpOperations
`checkLoopVariableInit, checkLoopVariableType, checkSourceCollection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IterateExpOperations

    protected IterateExpOperations()

Method Detail

### checkIterateType

    public static <C,PM> boolean checkIterateType(IterateExp<C,PM> iterateExp,
                                                  DiagnosticChain diagnostics,
                                                  Map<Object,Object> context)

  type = result.type

  Parameters:
    `iterateExp` - The receiving 'Iterate Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkBodyType

    public static <C,PM> boolean checkBodyType(IterateExp<C,PM> iterateExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  body.type.conformsTo(result.type)

  Parameters:
    `iterateExp` - The receiving 'Iterate Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkResultInit

    public static <C,PM> boolean checkResultInit(IterateExp<C,PM> iterateExp,
                                                 DiagnosticChain diagnostics,
                                                 Map<Object,Object> context)

  self.result.initExpression->size() = 1

  Parameters:
    `iterateExp` - The receiving 'Iterate Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.